Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.print
Class PrinterIOException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.awt.print.PrinterException
                        |
                        +--java.awt.print.PrinterIOException

All Implemented Interfaces:
  Serializable

public class PrinterIOException
extends PrinterException

The `PrinterIOException` class is a subclass of `PrinterException` and is used to indicate that an IO error of some sort has occurred while printing.

See Also:
  Serialized Form

Constructor Summary
`PrinterIOException(IOException exception)` Constructs a new `PrinterIOException` with the string representation of the specified `IOException`.

Method Summary
`IOException` | `getIOException()` Returns the `IOException` that terminated the print job.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrinterIOException

    public PrinterIOException(IOException exception)

  Constructs a new `PrinterIOException` with the string representation of the specified `IOException`.
  Parameters:
    `exception` - the specified `IOException`

Method Detail

### getIOException

    public IOException getIOException()

  Returns the `IOException` that terminated the print job.
  Returns:
    the `IOException` that terminated the print job.
  See Also:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.